## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iFireState Struct Reference
[Mesh plugins, Mesh plugins]

This interface describes the API for the fire mesh object. More...

`#include <imesh/fire.h>`

Inheritance diagram for iFireState:

[legend]
List of all members.

## Public Member Functions

virtual float | GetColorScale () const =0
| Get color scale.
virtual const csVector3 & | GetDirection () const =0
| Get direction of the fire.
virtual void | GetDropSize (float &dropwidth, float &dropheight) const =0
| Get the size of the fire drops.
virtual bool | GetLighting () const =0
| See if lighting is enabled.
virtual const csBox3 & | GetOrigin () const =0
| Get origin of the fire.
virtual int | GetParticleCount () const =0
| Get the number of particles.
virtual float | GetSwirl () const =0
| Get swirl.
virtual float | GetTotalTime () const =0
| Get total time.
virtual void | SetColorScale (float colscale)=0
| Set color scale.
virtual void | SetDirection (const csVector3 &dir)=0
| Set direction of the fire.
virtual void | SetDropSize (float dropwidth, float dropheight)=0
| Set the size of the fire drops.
virtual void | SetLighting (bool l)=0
| Enable or disable lighting.
virtual void | SetOrigin (const csBox3 &origin)=0
| Set origin of the fire.
virtual void | SetParticleCount (int num)=0
| Set the number of particles to use.
virtual void | SetSwirl (float swirl)=0
| Set swirl.
virtual void | SetTotalTime (float tottime)=0
| Set total time.

## Detailed Description

This interface describes the API for the fire mesh object.

Definition at line 41 of file fire.h.

## Member Function Documentation

virtual float iFireState::GetColorScale | ( |  | ) | const`[pure virtual]`

| Get color scale.

virtual const csVector3& iFireState::GetDirection | ( |  | ) | const`[pure virtual]`

| Get direction of the fire.

virtual void iFireState::GetDropSize | ( | float & | dropwidth,
|  | float & | dropheight
| ) | const`[pure virtual]`

| Get the size of the fire drops.

virtual bool iFireState::GetLighting | ( |  | ) | const`[pure virtual]`

| See if lighting is enabled.

virtual const csBox3& iFireState::GetOrigin | ( |  | ) | const`[pure virtual]`

| Get origin of the fire.

virtual int iFireState::GetParticleCount | ( |  | ) | const`[pure virtual]`

| Get the number of particles.

virtual float iFireState::GetSwirl | ( |  | ) | const`[pure virtual]`

| Get swirl.

virtual float iFireState::GetTotalTime | ( |  | ) | const`[pure virtual]`

| Get total time.

virtual void iFireState::SetColorScale | ( | float | colscale | ) | `[pure virtual]`

| Set color scale.

virtual void iFireState::SetDirection | ( | const csVector3 & | dir | ) | `[pure virtual]`

| Set direction of the fire.

virtual void iFireState::SetDropSize | ( | float | dropwidth,
|  | float | dropheight
| ) | `[pure virtual]`

| Set the size of the fire drops.

virtual void iFireState::SetLighting | ( | bool | l | ) | `[pure virtual]`

| Enable or disable lighting.

virtual void iFireState::SetOrigin | ( | const csBox3 & | origin | ) | `[pure virtual]`

| Set origin of the fire.

virtual void iFireState::SetParticleCount | ( | int | num | ) | `[pure virtual]`

| Set the number of particles to use.

virtual void iFireState::SetSwirl | ( | float | swirl | ) | `[pure virtual]`

| Set swirl.

virtual void iFireState::SetTotalTime | ( | float | tottime | ) | `[pure virtual]`

| Set total time.

The documentation for this struct was generated from the following file:

- imesh/fire.h